Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.graph.query
Class QueryBuilder.SingleOrderByOperandBuilder

    java.lang.Object
      org.modeshape.graph.query.QueryBuilder.SingleOrderByOperandBuilder

All Implemented Interfaces:
  QueryBuilder.OrderByOperandBuilder

Enclosing class:
  QueryBuilder

    protected class QueryBuilder.SingleOrderByOperandBuilder

extends Object
implements QueryBuilder.OrderByOperandBuilder

Constructor Summary
`protected` | `QueryBuilder.SingleOrderByOperandBuilder(QueryBuilder.OrderByBuilder builder, Order order)`

Method Summary
`protected QueryBuilder.OrderByBuilder` | `addOrdering(DynamicOperand operand)`
`QueryBuilder.OrderByBuilder` | `depth(String table)` Adds to the order-by clause by using the depth of the node given by the named table.
`QueryBuilder.OrderByBuilder` | `fullTextSearchScore(String table)` Adds to the order-by clause by using the full-text search score for the given table.
`QueryBuilder.OrderByBuilder` | `length(String table, String property)` Adds to the order-by clause by using the length of the value for the given table and property.
`QueryBuilder.OrderByOperandBuilder` | `lowerCaseOf()` Adds to the order-by clause by using the lowercase form of the next operand.
`QueryBuilder.OrderByBuilder` | `nodeLocalName(String table)` Adds to the order-by clause by using the local name of the node given by the named table.
`QueryBuilder.OrderByBuilder` | `nodeName(String table)` Adds to the order-by clause by using the node name (including namespace) of the node given by the named table.
`QueryBuilder.OrderByBuilder` | `path(String table)` Adds to the order-by clause by using the path of the node given by the named table.
`QueryBuilder.OrderByBuilder` | `propertyValue(String table, String property)` Adds to the order-by clause by using the value for the given table and property.
`QueryBuilder.OrderByBuilder` | `referenceValue(String table)` Constrains the nodes in the the supplied table such that they must have a matching value for any of the node's reference properties.
`QueryBuilder.OrderByBuilder` | `referenceValue(String table, String property)` Constrains the nodes in the the supplied table such that they must have a matching value for the named property.
`QueryBuilder.OrderByOperandBuilder` | `upperCaseOf()` Adds to the order-by clause by using the uppercase form of the next operand.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueryBuilder.SingleOrderByOperandBuilder

    protected QueryBuilder.SingleOrderByOperandBuilder(QueryBuilder.OrderByBuilder builder,
                                                       Order order)

Method Detail

### addOrdering

    protected QueryBuilder.OrderByBuilder addOrdering(DynamicOperand operand)

### propertyValue

    public QueryBuilder.OrderByBuilder propertyValue(String table,
                                                     String property)

  Adds to the order-by clause by using the value for the given table and property.

  Specified by:
    `propertyValue` in interface `QueryBuilder.OrderByOperandBuilder`
  Parameters:
    `table` - the name of the table; may not be null and must refer to a valid name or alias of a table appearing in the FROM clause
    `property` - the name of the property; may not be null and must refer to a valid property name
  Returns:
    the interface for completing the order-by specification; never null
  See Also:
    `QueryBuilder.OrderByOperandBuilder.propertyValue(java.lang.String, java.lang.String)`

### referenceValue

    public QueryBuilder.OrderByBuilder referenceValue(String table)

  Constrains the nodes in the the supplied table such that they must have a matching value for any of the node's reference properties.

  Specified by:
    `referenceValue` in interface `QueryBuilder.OrderByOperandBuilder`
  Parameters:
    `table` - the name of the table; may not be null and must refer to a valid name or alias of a table appearing in the FROM clause
  Returns:
    the interface for completing the order-by specification; never null
  See Also:
    `QueryBuilder.OrderByOperandBuilder.referenceValue(java.lang.String)`

### referenceValue

    public QueryBuilder.OrderByBuilder referenceValue(String table,
                                                      String property)

  Constrains the nodes in the the supplied table such that they must have a matching value for the named property.

  Specified by:
    `referenceValue` in interface `QueryBuilder.OrderByOperandBuilder`
  Parameters:
    `table` - the name of the table; may not be null and must refer to a valid name or alias of a table appearing in the FROM clause
    `property` - the name of the reference property; may be null if the constraint applies to all/any reference properties on the node
  Returns:
    the interface for completing the order-by specification; never null
  See Also:
    `QueryBuilder.OrderByOperandBuilder.referenceValue(java.lang.String, java.lang.String)`

### length

    public QueryBuilder.OrderByBuilder length(String table,
                                              String property)

  Adds to the order-by clause by using the length of the value for the given table and property.

  Specified by:
    `length` in interface `QueryBuilder.OrderByOperandBuilder`
  Parameters:
    `table` - the name of the table; may not be null and must refer to a valid name or alias of a table appearing in the FROM clause
    `property` - the name of the property; may not be null and must refer to a valid property name
  Returns:
    the interface for completing the order-by specification; never null
  See Also:
    `QueryBuilder.OrderByOperandBuilder.length(java.lang.String, java.lang.String)`

### fullTextSearchScore

    public QueryBuilder.OrderByBuilder fullTextSearchScore(String table)

  Adds to the order-by clause by using the full-text search score for the given table.

  Specified by:
    `fullTextSearchScore` in interface `QueryBuilder.OrderByOperandBuilder`
  Parameters:
    `table` - the name of the table; may not be null and must refer to a valid name or alias of a table appearing in the FROM clause
  Returns:
    the interface for completing the order-by specification; never null
  See Also:
    `QueryBuilder.OrderByOperandBuilder.fullTextSearchScore(java.lang.String)`

### depth

    public QueryBuilder.OrderByBuilder depth(String table)

  Adds to the order-by clause by using the depth of the node given by the named table.

  Specified by:
    `depth` in interface `QueryBuilder.OrderByOperandBuilder`
  Parameters:
    `table` - the name of the table; may not be null and must refer to a valid name or alias of a table appearing in the FROM clause
  Returns:
    the interface for completing the order-by specification; never null
  See Also:
    `QueryBuilder.OrderByOperandBuilder.depth(java.lang.String)`

### path

    public QueryBuilder.OrderByBuilder path(String table)

  Adds to the order-by clause by using the path of the node given by the named table.

  Specified by:
    `path` in interface `QueryBuilder.OrderByOperandBuilder`
  Parameters:
    `table` - the name of the table; may not be null and must refer to a valid name or alias of a table appearing in the FROM clause
  Returns:
    the interface for completing the order-by specification; never null
  See Also:
    `QueryBuilder.OrderByOperandBuilder.path(java.lang.String)`

### nodeName

    public QueryBuilder.OrderByBuilder nodeName(String table)

  Adds to the order-by clause by using the node name (including namespace) of the node given by the named table.

  Specified by:
    `nodeName` in interface `QueryBuilder.OrderByOperandBuilder`
  Parameters:
    `table` - the name of the table; may not be null and must refer to a valid name or alias of a table appearing in the FROM clause
  Returns:
    the interface for completing the order-by specification; never null
  See Also:
    `QueryBuilder.OrderByOperandBuilder.nodeName(java.lang.String)`

### nodeLocalName

    public QueryBuilder.OrderByBuilder nodeLocalName(String table)

  Adds to the order-by clause by using the local name of the node given by the named table.

  Specified by:
    `nodeLocalName` in interface `QueryBuilder.OrderByOperandBuilder`
  Parameters:
    `table` - the name of the table; may not be null and must refer to a valid name or alias of a table appearing in the FROM clause
  Returns:
    the interface for completing the order-by specification; never null
  See Also:
    `QueryBuilder.OrderByOperandBuilder.nodeLocalName(java.lang.String)`

### lowerCaseOf

    public QueryBuilder.OrderByOperandBuilder lowerCaseOf()

  Adds to the order-by clause by using the lowercase form of the next operand.

  Specified by:
    `lowerCaseOf` in interface `QueryBuilder.OrderByOperandBuilder`
  Returns:
    the interface for completing the order-by specification; never null
  See Also:
    `QueryBuilder.OrderByOperandBuilder.lowerCaseOf()`

### upperCaseOf

    public QueryBuilder.OrderByOperandBuilder upperCaseOf()

  Adds to the order-by clause by using the uppercase form of the next operand.

  Specified by:
    `upperCaseOf` in interface `QueryBuilder.OrderByOperandBuilder`
  Returns:
    the interface for completing the order-by specification; never null
  See Also:
    `QueryBuilder.OrderByOperandBuilder.upperCaseOf()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.